To create the *.orig.tar.gz from the upstream *.zip you have
to follow these steps:
# Unzip the file into your source directory
$ unzip -q *.zip -d .

# Unzip the *.oxt file 
$ cd Extension
$ unzip -q *.oxt -d .
$ rm *.oxt

# Create *.orig.tar.gz
$ cd ..
$ tar -czf ../*.orig.tar.gz *

Please replace * with the precise name

